"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMethodDescription = void 0;
const checker_1 = require("../checker");
const types_1 = require("../../types");
const create_description_1 = require("./utils/create-description");
const getMethodDescription = (node, typeArgumentsMap = {}) => {
    const checker = (0, checker_1.getTypeChecker)();
    const symbol = checker.getSymbolAtLocation(node.name);
    if (!symbol || !node.type) {
        return types_1.PropertyType.Null;
    }
    const type = checker.getTypeAtLocation(node.type);
    return {
        key: symbol.getName(),
        flag: types_1.DescriptionFlag.Method,
        description: (0, create_description_1.createDescription)(symbol.getName(), type, typeArgumentsMap),
    };
};
exports.getMethodDescription = getMethodDescription;
//# sourceMappingURL=method-signature-declaration.js.map