import * as ts from 'typescript';
import { TypeParamsMap, TypeDescription } from '../../types';
export type DescriptionFactory<T> = (node: T, typeArgumentsMap?: TypeParamsMap) => TypeDescription;
/**
 * Generates description for node type
 * @param node Target node
 * @param typeArgumentsMap Node type arguments relations
 */
export declare const generateNodeDescription: DescriptionFactory<ts.Node>;
